package com.yn.bftl.thirdparty.modules.umeng.enums;

import lombok.AllArgsConstructor;

/**
 * 后续行为枚举
 *
 * @author huabiao
 * @create 2023/12/6  10:20
 **/
@AllArgsConstructor
public enum AfterOpenAction {

    /**
     * 打开应用
     */
    GO_APP("go_app"),

    /**
     * 跳转到URL
     */
    GO_URL("go_url"),

    /**
     * 打开特定的activity
     */
    GO_ACTIVITY("go_activity"),

    /**
     * 用户自定义内容
     */
    GO_CUSTOM("go_custom");

    private final String value;

    public String getValue() {
        return this.value;
    }
}
